Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.Messaging
Class RelativeRequestTimeoutPolicyHelper

    java.lang.Object
      |
      +--org.omg.Messaging.RelativeRequestTimeoutPolicyHelper

public class RelativeRequestTimeoutPolicyHelper
extends java.lang.Object

Helper class for : RelativeRequestTimeoutPolicy

Author:
  OpenORB Compiler

Constructor Summary
`RelativeRequestTimeoutPolicyHelper()`

Method Summary
`static RelativeRequestTimeoutPolicy` | `extract(Any a)` Extract RelativeRequestTimeoutPolicy from an any
`static java.lang.String` | `id()` Return the RelativeRequestTimeoutPolicy IDL ID
`static void` | `insert(Any a, RelativeRequestTimeoutPolicy t)` Insert RelativeRequestTimeoutPolicy into an any
`static RelativeRequestTimeoutPolicy` | `narrow(Object obj)` Narrow CORBA::Object to RelativeRequestTimeoutPolicy
`static RelativeRequestTimeoutPolicy` | `read(InputStream istream)` Read RelativeRequestTimeoutPolicy from a marshalled stream
`static TypeCode` | `type()` Return the RelativeRequestTimeoutPolicy TypeCode
`static RelativeRequestTimeoutPolicy` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to RelativeRequestTimeoutPolicy
`static void` | `write(OutputStream ostream, RelativeRequestTimeoutPolicy value)` Write RelativeRequestTimeoutPolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelativeRequestTimeoutPolicyHelper

    public RelativeRequestTimeoutPolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              RelativeRequestTimeoutPolicy t)

  Insert RelativeRequestTimeoutPolicy into an any
  Parameters:
    `a` - an any
    `t` - RelativeRequestTimeoutPolicy value

### extract

    public static RelativeRequestTimeoutPolicy extract(Any a)

  Extract RelativeRequestTimeoutPolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted RelativeRequestTimeoutPolicy value

### type

    public static TypeCode type()

  Return the RelativeRequestTimeoutPolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the RelativeRequestTimeoutPolicy IDL ID
  Returns:
    an ID

### read

    public static RelativeRequestTimeoutPolicy read(InputStream istream)

  Read RelativeRequestTimeoutPolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed RelativeRequestTimeoutPolicy value

### write

    public static void write(OutputStream ostream,
                             RelativeRequestTimeoutPolicy value)

  Write RelativeRequestTimeoutPolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - RelativeRequestTimeoutPolicy value

### narrow

    public static RelativeRequestTimeoutPolicy narrow(Object obj)

  Narrow CORBA::Object to RelativeRequestTimeoutPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    RelativeRequestTimeoutPolicy Object

### unchecked_narrow

    public static RelativeRequestTimeoutPolicy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to RelativeRequestTimeoutPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    RelativeRequestTimeoutPolicy Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD